=== debian/changelog ===
qgis (3.28.14+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Dec 2023 06:19:09 +0100

qgis (3.28.14+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Dec 2023 16:24:23 +0100

qgis (3.28.14+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop python3-future from (build) dependencies.
    (closes: #1057830)
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Dec 2023 15:34:20 +0100
