=== debian/changelog ===
qgis (3.28.15+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jan 2024 06:25:54 +0100

qgis (3.28.15+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 20 Jan 2024 19:48:02 +0100

qgis (3.28.15+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop python3-mock from build dependencies.
    (closes: #1059956)
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Jan 2024 14:57:25 +0100
