=== debian/control ===
--- 
+++ 
@@ -49,7 +49,6 @@
                pyqt5.qsci-dev,
                python3-dev,
                python3-gdal,
-               python3-mock,
                python3-nose2,
                python3-owslib,
                python3-psycopg2,
@@ -133,7 +132,7 @@
  This package contains architecture-independent supporting data files for use
  with QGIS.
 
-Package: libqgis-3d3.28.14
+Package: libqgis-3d3.28.15
 Architecture: any
 Section: libs
 Depends: qt3d-assimpsceneimport-plugin,
@@ -148,7 +147,7 @@
  .
  This package contains the shared 3d library.
 
-Package: libqgis-analysis3.28.14
+Package: libqgis-analysis3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -159,7 +158,7 @@
  .
  This package contains the shared analysis library.
 
-Package: libqgis-app3.28.14
+Package: libqgis-app3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -170,7 +169,7 @@
  .
  This package contains the shared app library.
 
-Package: libqgis-core3.28.14
+Package: libqgis-core3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -181,7 +180,7 @@
  .
  This package contains the shared core library.
 
-Package: libqgis-gui3.28.14
+Package: libqgis-gui3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -192,7 +191,7 @@
  .
  This package contains the shared gui library.
 
-Package: libqgis-native3.28.14
+Package: libqgis-native3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -203,7 +202,7 @@
  .
  This package contains the shared native gui library.
 
-Package: libqgis-server3.28.14
+Package: libqgis-server3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -214,7 +213,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass8-3.28.14
+Package: libqgisgrass8-3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -225,7 +224,7 @@
  .
  This package contains the shared grass library.
 
-Package: libqgispython3.28.14
+Package: libqgispython3.28.15
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -259,15 +258,15 @@
          libpq-dev,
          libproj-dev,
          libqca-qt5-2-dev,
-         libqgis-3d3.28.14 (= ${binary:Version}),
-         libqgis-analysis3.28.14 (= ${binary:Version}),
-         libqgis-app3.28.14 (= ${binary:Version}),
-         libqgis-core3.28.14 (= ${binary:Version}),
-         libqgis-gui3.28.14 (= ${binary:Version}),
-         libqgis-native3.28.14 (= ${binary:Version}),
-         libqgis-server3.28.14 (= ${binary:Version}),
-         libqgisgrass8-3.28.14 (= ${binary:Version}),
-         libqgispython3.28.14 (= ${binary:Version}),
+         libqgis-3d3.28.15 (= ${binary:Version}),
+         libqgis-analysis3.28.15 (= ${binary:Version}),
+         libqgis-app3.28.15 (= ${binary:Version}),
+         libqgis-core3.28.15 (= ${binary:Version}),
+         libqgis-gui3.28.15 (= ${binary:Version}),
+         libqgis-native3.28.15 (= ${binary:Version}),
+         libqgis-server3.28.15 (= ${binary:Version}),
+         libqgisgrass8-3.28.15 (= ${binary:Version}),
+         libqgispython3.28.15 (= ${binary:Version}),
          libqscintilla2-qt5-dev,
          libqt5svg5-dev,
          libqt5webkit5-dev,
@@ -351,7 +350,7 @@
 Section: python
 Depends: python3-qgis-common (= ${source:Version}),
          qgis-providers (= ${binary:Version}),
-         libqgispython3.28.14,
+         libqgispython3.28.15,
          libsqlite3-mod-spatialite,
          python3-dateutil,
          python3-httplib2,
@@ -369,3 +368,5 @@
          python3-pyqt5.qtsql,
          python3-pyqt5.qtsvg,
          python3-pyqt5.qtwebkit,
+         python3-requests,
+         python3-tz,
